2026-03-16 10:36:33 UTC
1.95 GB
/home/postgres/pgdata/backup
BUILD_PACKAGESbinutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev
CARGO_HOME/usr/local/cargo
DEBIAN_FRONTENDnoninteractive
LANGC.UTF-8
LC_ALLC.UTF-8
MAKEFLAGS-j4
PAGER PATH/usr/lib/postgresql/16/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PGBACKREST_CONFIG/home/postgres/pgdata/backup/pgbackrest.conf
PGBACKREST_STANZApoddb
PGDATA/home/postgres/pgdata/data
PGLOG/home/postgres/pg_log
PGROOT/home/postgres
PGSOCKET/home/postgres/pgdata
RUSTUP_HOME/usr/local/rustup
RUST_VERSION1.85.0
[#000] sha256:b1cba2e842ca52b95817f958faf99734080c78e92e43ce609cde9244867b49ed - 1.41% (28.2 MB)
[#001] sha256:4b3f78ff9f40d74221f10a0729db53351fb12e17de3ca2491340679646aae960 - 0.0% (4.21 KB)
[#002] sha256:001792cc680d43a2d86ba05e9dfe9acc3480002a84847a0de35a1ca7caeb8998 - 0.0% (216 Bytes)
[#003] sha256:40170fa284d9fcbc6770c73b36b0f8c675966e3945070beb0c432bba7dcd85e3 - 0.0% (229 Bytes)
[#004] sha256:2ab43b53151899108a6c9dbffa30676d9c21884e5d3c17abec0aafdf22436dac - 0.0% (446 Bytes)
[#005] sha256:5abdc39e8df53d12ce2b8e1e80e1d759d0111dbe6c44cc50ef2c142c72c2565a - 0.0% (941 Bytes)
[#006] sha256:bf7f90395f294fe165394fe42e4627040e08de4885715f831720c3d7a8cf60d5 - 3.54% (70.8 MB)
[#007] sha256:35d6465c5d936634c251a4d7d39ef31305e5a5ccf8a7e1a7f08e015603dd76bb - 0.0% (119 Bytes)
[#008] sha256:7df6b5bd2a28d7658313de3744d53d6fcbc5257b24f87b9a18a2ac7b541659b4 - 0.0% (95 Bytes)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:55de67de3b9f97e0a111c20d67ba3fd4ffa25165a5d2e60ca6b1c0f541588b1d - 0.0% (3.56 KB)
[#011] sha256:453d2c4ebe65c6d52ed884d6e2ad50f2a0b4f47158ca049c27b7974ef91d9640 - 0.0% (5.5 KB)
[#012] sha256:7f3cd8898b3da82d87fb0b933e9b6313e39828bfcd74b2302508280a54cafd6f - 0.0% (3.01 KB)
[#013] sha256:96b9962e331e315c34a8d124076fa4de660f0d79e32cb55163ae218edacfdaac - 0.0% (271 Bytes)
[#014] sha256:6d9cf1c9339a095c99d80422b4061ab7337cf96a5079804c6cbceb75f1ff8d58 - 3.91% (78.2 MB)
[#015] sha256:63f4843ca181e03677485e704d8a981d94bfcdb1992521f5a86a5b5e1dd2d47f - 0.2% (4 MB)
[#016] sha256:687b4e25375f089346f2f785e610a9aabe38105d38967d10d1cb56abd66f02f3 - 0.4% (8.02 MB)
[#017] sha256:25f697e05acdf70a1a843a64ec32d415e25d9d4bc89f838615195fc44dd71e63 - 0.0% (838 Bytes)
[#018] sha256:a6ef5b218fe29afc69cb817116dd87c584b47e52f7e581ff8dcd75050eac0cf2 - 9.16% (183 MB)
[#019] sha256:de04e70881292d53353abff74b7e87c3500f70301e3d5a8f1d028350314655c4 - 0.04% (850 KB)
[#020] sha256:8cf8fae7112fce91ade8a80646c9994eb81a07112a13c3d82a5d2fd52724dd6a - 0.25% (4.91 MB)
[#021] sha256:7c9f59654701b1d3692c16e69115eb638c8e1f28bde21c926962cb63f7ad4c3e - 2.26% (45.2 MB)
[#022] sha256:e666326ff28512e2fb0ff49f8e6dc677dbb58666ef186338bff77fb9b4221331 - 5.28% (106 MB)
[#023] sha256:5861f26f9ecfcfdfdbb36d46d6c8b2272eee6993768f04599df6e081cae15010 - 0.0% (1.96 KB)
[#024] sha256:4abc3d2f8e395d514e4dd534d4471cd0541551d1ebbe72d2b0ea746da45ba60e - 0.08% (1.5 MB)
[#025] sha256:2d12907afec7f9c0484af0dc9d8dff1b5c29aa5ec2407b155603e137b2ddaa38 - 0.0% (8.23 KB)
[#026] sha256:44fb13def80922087388e84bd42cf48627b97a9081d1a1db27244fd621f0e8c5 - 11.02% (221 MB)
[#027] sha256:a8f6369160d606a26c92206c7aa2be56f48a955e34b382456a719688c7153444 - 0.08% (1.55 MB)
[#028] sha256:5e4222e018714d5f88e2ca6cd22a8d160b0d03ad55ea7a9890a333a7ba5e71f3 - 6.56% (131 MB)
[#029] sha256:87b614fcf5bec4639b54360dc90da3eac0aa2b016b9784efef346384dcf42720 - 0.23% (4.51 MB)
[#030] sha256:a36b95e36cd2d4e74ea5dca5dfb1cb3802786ac088c6d840ef9d91e6f5517286 - 0.02% (439 KB)
[#031] sha256:0935b1f2d8cb1a0ba80b7f1d8ccd18b958a53bbd523b38ef8dbe90d6d0e9a8c3 - 0.0% (15.5 KB)
[#032] sha256:52086272ab7f8dff6f9624f48082196004162e49abc38c00931268d239b6099b - 0.27% (5.47 MB)
[#033] sha256:0e2d742b86cc4c226fec877af21a6785bc55e5ac395567769617165ea7300018 - 0.16% (3.21 MB)
[#034] sha256:de1fe3728da54695bb470e62391fd81f5113d63a234691bf6207a02514ba561c - 0.25% (5.08 MB)
[#035] sha256:5ede6a7fe56c9690f26fcbb2974174fc88a607acf820c8f6776005cbca616518 - 1.29% (25.9 MB)
[#036] sha256:d34c491da9ca8e1a264cd3817db568c1cb1643f68b4260ecb96e8090227f5a39 - 0.22% (4.42 MB)
[#037] sha256:629d9f63ba6927164671aa8aea1061adf7a73840c6b7a9c08a3f5376db8fd4ac - 0.01% (238 KB)
[#038] sha256:65c4e9feee94f7cf142f2b36f5288f4dd351314b705c404996b7f57feb4be02f - 0.0% (562 Bytes)
[#039] sha256:a4bdd61bc5ea7e9d3b039255a996a150c1ceaf12fae787f80ab4e90ec0280e23 - 0.0% (5.17 KB)
[#040] sha256:369f8d0311207d78364299fde95f74b0f86a42351c35cc2f56878d295ee3c7e7 - 0.0% (123 Bytes)
[#041] sha256:aa2b9b78bd89c66d44ffa5a561b27dd83c268d0b4950cca2fc2e6d593583fb10 - 0.0% (15.3 KB)
[#042] sha256:0f92ef79fa419481c5122d3d7e3275b38ce6a664589c850c08c95e04a3b26c2a - 0.0% (9.03 KB)
[#043] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#044] sha256:0dde487fc0e79cd3330cf589983632b0a3ca84a598d83a1d94bd6d0ca1628b93 - 4.02% (80.5 MB)
[#045] sha256:94af91e259bf45c4c5aa5ac8d0084ced28faccb88ca7ec921b797904688cc437 - 2.1% (42 MB)
[#046] sha256:0184caa4211fb2a5a7646b3032687dce8cd7e71bbfee3508e1de91332f50a602 - 0.0% (165 Bytes)
[#047] sha256:57585d89b283e5f98f0d15a23bd374eaf74561c84603fad05b2912ad1fe3f7ba - 33.45% (669 MB)
[#048] sha256:27efe39acf2f3e24183cc2b6e061c8b39bbfaad82acc799d7154185e80568609 - 0.53% (10.6 MB)
[#049] sha256:536deade4236b51d5aff75d2da5659065989614b8f9e65d45c1c34ea453fbd48 - 0.01% (273 KB)
[#050] sha256:dd04ad133965ad35108b2c7ad75f8b15e83440e6ff08f065ff5790e5b19261ec - 0.02% (477 KB)
[#051] sha256:d11655432af87ce6a6d11cec85ab973555ad260364f1c97cf52716c8e0a2fc70 - 12.6% (252 MB)
[#052] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#053] sha256:ec397fc94db131c3d8623c9ca13b6f8b2455c30cd44edc13ddebe32b9a78217d - 0.27% (5.31 MB)
[#054] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#055] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#056] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#057] sha256:04262d4db85de43bb8d10eb24bae2b719c8368a8cb62abdd333baed1b2fdd708 - 0.0% (1.25 KB)
[#058] sha256:fb89fef41eaffa97e2858c794c8a043682e539c49079fcab34b730744977236e - 0.0% (121 Bytes)
[#059] sha256:245cffc7639b028d8a70d019f8ea00636ba8779cbe5f02a5897237a25f644b36 - 0.0% (986 Bytes)
[#060] sha256:1e1f015ce3d8a23ad1e6d9f3f3982bc2d80a7baff81b45ac4c3ffebaffc50e36 - 0.0% (24.9 KB)
[#061] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#062] sha256:db0de5e06b67f9298edba73823a356ce843890b2b85bac36f2f5f81a1a4a24e8 - 0.0% (333 Bytes)
[#063] sha256:01bad234ccedde6d2ea6e179b4add785412becb83bc5b2889d24f0730987dff8 - 0.0% (152 Bytes)
[#064] sha256:c5de3774a4618187ba872f6e4fc00d7284d86d36d5721d9f5319602825277f96 - 0.0% (319 Bytes)
[#065] sha256:b3218db329198c19db3a3f5f08a3dfcc10ee044ce7a2fc65f43423dd4b53afe6 - 0.36% (7.23 MB)
[#066] sha256:b303908d387443d4a736e89d3089ce27b15ff2739c9bf8ce11f64177c518b782 - 0.0% (913 Bytes)
[#067] sha256:371d49a0997dd6ea5f27e49078bac4e1cb38bb67a2b28c25bde944fecd097649 - 0.0% (555 Bytes)
[#068] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#069] sha256:8caceab4665e93fec11db24b2f029444f59be46219c93f54afec0ddbc69093db - 0.0% (4.34 KB)
[#070] sha256:b5deecbb685380cf8a502eef349647634d2f218b54b869b433289041c10f58c2 - 0.0% (148 Bytes)
/bin/sh -c #(nop) ARG RELEASE
2026-02-10 17:40:06 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2026-02-10 17:40:06 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2026-02-10 17:40:06 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04
2026-02-10 17:40:09 UTC/bin/sh -c #(nop) ADD file:52c0e467fa2e92f101018df01a0ff56580c752b7553fbe6df88e16b02af6d4ee in /
2026-02-10 17:40:09 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)SHELL [/bin/bash -exu -o pipefail -c]
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)ARG PG_VERSIONS=16
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)ARG PG_MAJOR=16
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)ENV DEBIAN_FRONTEND=noninteractive
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c adduser --home /home/postgres --uid 1000 --disabled-password --gecos "" postgres # buildkit
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c echo 'APT::Install-Recommends "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c echo 'APT::Install-Suggests "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)COPY sources /tmp/sources # buildkit
2026-03-16 10:21:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c source="/tmp/sources/sources.list.$(dpkg --print-architecture)"; mv /etc/apt/sources.list /etc/apt/sources.list.dist; cp "$source" /etc/apt/sources.list; rm -fr /tmp/sources # buildkit
2026-03-16 10:21:28 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y ca-certificates curl gnupg1 gpg gpg-agent locales lsb-release wget unzip # buildkit
2026-03-16 10:21:28 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c mkdir -p /build/scripts # buildkit
2026-03-16 10:21:28 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c chmod 777 /build # buildkit
2026-03-16 10:21:28 UTC (buildkit.dockerfile.v0)WORKDIR /build/
2026-03-16 10:21:29 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c curl -Ls https://www.postgresql.org/media/keys/ACCC4CF8.asc | gpg --dearmor --output /usr/share/keyrings/postgresql.keyring # buildkit
2026-03-16 10:21:29 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c for t in deb deb-src; do echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt.postgresql.org/pub/repos/apt/ $(lsb_release -s -c)-pgdg main 18" >> /etc/apt/sources.list.d/pgdg.list; echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt-archive.postgresql.org/pub/repos/apt $(lsb_release -s -c)-pgdg-archive main" >> /etc/apt/sources.list.d/pgdg.list; done # buildkit
2026-03-16 10:21:29 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c curl -Ls https://packagecloud.io/timescale/timescaledb/gpgkey | gpg --dearmor --output /usr/share/keyrings/timescaledb.keyring # buildkit
2026-03-16 10:21:29 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/timescaledb.keyring] https://packagecloud.io/timescale/timescaledb/ubuntu/ $(lsb_release -cs) main" > /etc/apt/sources.list.d/timescaledb.list # buildkit
2026-03-16 10:21:50 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y less jq strace procps awscli vim-tiny gdb gdbserver dumb-init daemontools postgresql-common pgbouncer pgbackrest lz4 libpq-dev libpq5 pgtop libnss-wrapper gosu pg-activity lsof htop; curl -Lso /usr/local/bin/yq https://github.com/mikefarah/yq/releases/latest/download/yq_linux_"$(dpkg --print-architecture)"; chmod 755 /usr/local/bin/yq # buildkit
2026-03-16 10:21:50 UTC (buildkit.dockerfile.v0)ARG PGBACKREST_EXPORTER_VERSION=0.18.0
2026-03-16 10:21:50 UTC (buildkit.dockerfile.v0)RUN |3 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 /bin/bash -exu -o pipefail -c arch="$(arch)"; [ "$arch" = aarch64 ] && arch=arm64; pkg="pgbackrest_exporter_${PGBACKREST_EXPORTER_VERSION}_linux_${arch}"; curl --silent --location --output /tmp/pkg.deb "https://github.com/woblerr/pgbackrest_exporter/releases/download/v${PGBACKREST_EXPORTER_VERSION}/${pkg}.deb"; cd /tmp; dpkg -i ./pkg.deb; rm -rfv /tmp/pkg.deb # buildkit
2026-03-16 10:21:50 UTC (buildkit.dockerfile.v0)ARG PGBOUNCER_EXPORTER_VERSION=0.9.0
2026-03-16 10:21:51 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c pkg="pgbouncer_exporter-${PGBOUNCER_EXPORTER_VERSION}.linux-$(dpkg --print-architecture)"; curl --silent --location --output /tmp/pkg.tgz "https://github.com/prometheus-community/pgbouncer_exporter/releases/download/v${PGBOUNCER_EXPORTER_VERSION}/${pkg}.tar.gz"; cd /tmp; tar xvzf /tmp/pkg.tgz "$pkg"/pgbouncer_exporter; mv -v /tmp/"$pkg"/pgbouncer_exporter /usr/local/bin/pgbouncer_exporter; rm -rfv /tmp/pkg.tgz /tmp/"$pkg" # buildkit
2026-03-16 10:21:51 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c sed -ri 's/#(create_main_cluster) .*$/\1 = false/' /etc/postgresql-common/createcluster.conf # buildkit
2026-03-16 10:21:51 UTC (buildkit.dockerfile.v0)ENV RUSTUP_HOME=/usr/local/rustup CARGO_HOME=/usr/local/cargo PATH=/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUST_VERSION=1.85.0
2026-03-16 10:21:59 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) rustArch='x86_64-unknown-linux-gnu'; rustupSha256='6aeece6993e902708983b209d04c0d1dbb14ebb405ddb87def578d41f920f56d' ;; armhf) rustArch='armv7-unknown-linux-gnueabihf'; rustupSha256='3c4114923305f1cd3b96ce3454e9e549ad4aa7c07c03aec73d1a785e98388bed' ;; arm64) rustArch='aarch64-unknown-linux-gnu'; rustupSha256='1cffbf51e63e634c746f741de50649bbbcbd9dbe1de363c9ecef64e278dba2b2' ;; i386) rustArch='i686-unknown-linux-gnu'; rustupSha256='0a6bed6e9f21192a51f83977716466895706059afb880500ff1d0e751ada5237' ;; *) echo >&2 "unsupported architecture: ${dpkgArch}"; exit 1 ;; esac; url="https://static.rust-lang.org/rustup/archive/1.27.1/${rustArch}/rustup-init"; wget "$url"; echo "${rustupSha256} *rustup-init" | sha256sum -c -; chmod +x rustup-init; ./rustup-init -y --no-modify-path --profile minimal --default-toolchain $RUST_VERSION --default-host ${rustArch}; rm rustup-init; chmod -R a+w $RUSTUP_HOME $CARGO_HOME; rustup --version; cargo --version; rustc --version # buildkit
2026-03-16 10:22:00 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c find /usr/share/i18n/charmaps/ -type f ! -name UTF-8.gz -delete; find /usr/share/i18n/locales/ -type f ! -name en_US ! -name en_GB ! -name i18n* ! -name iso14651_t1 ! -name iso14651_t1_common ! -name 'translit_*' -delete; echo 'en_US.UTF-8 UTF-8' > /usr/share/i18n/SUPPORTED; localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8 # buildkit
2026-03-16 10:22:04 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y python3 python3-pip # buildkit
2026-03-16 10:22:06 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c python3 -m pip install uv # buildkit
2026-03-16 10:22:06 UTC (buildkit.dockerfile.v0)ENV BUILD_PACKAGES=binutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev
2026-03-16 10:22:19 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y ${BUILD_PACKAGES} # buildkit
2026-03-16 10:22:20 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-mark auto ${BUILD_PACKAGES} # buildkit
2026-03-16 10:22:23 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y --allow-downgrades tzdata="2022a-*" # buildkit
2026-03-16 10:22:23 UTC (buildkit.dockerfile.v0)COPY --chown=postgres:postgres build_scripts /build/scripts/ # buildkit
2026-03-16 10:22:41 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do mk-build-deps "postgresql-${pg}" && apt-get install -y ./postgresql-${pg}-build-deps*.deb && apt-mark auto postgresql-${pg}-build-deps || exit 1; done # buildkit
2026-03-16 10:22:44 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y tzdata # buildkit
2026-03-16 10:22:56 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c packages=""; for pg in ${PG_VERSIONS}; do export FULL_VERSION="$(/build/scripts/pg_version.sh ${pg})*" ; packages="$packages postgresql-client-${pg}=${FULL_VERSION} postgresql-${pg}=${FULL_VERSION} postgresql-server-dev-${pg}=${FULL_VERSION} postgresql-${pg}-dbgsym=${FULL_VERSION} postgresql-plpython3-${pg}=${FULL_VERSION} postgresql-plpython3-${pg}-dbgsym=${FULL_VERSION} postgresql-plperl-${pg}=${FULL_VERSION} postgresql-plperl-${pg}-dbgsym=${FULL_VERSION} postgresql-${pg}-pgextwlist postgresql-${pg}-pgextwlist-dbgsym postgresql-${pg}-repack postgresql-${pg}-repack-dbgsym postgresql-${pg}-unit postgresql-${pg}-unit-dbgsym postgresql-${pg}-pgpcre postgresql-${pg}-pgpcre-dbgsym postgresql-${pg}-wal2json postgresql-${pg}-wal2json-dbgsym postgresql-${pg}-pgq3 postgresql-${pg}-pgq3-dbgsym postgresql-${pg}-ip4r postgresql-${pg}-ip4r-dbgsym postgresql-${pg}-pgtap postgresql-${pg}-semver postgresql-${pg}-semver-dbgsym postgresql-${pg}-hypopg postgresql-${pg}-hypopg-dbgsym postgresql-${pg}-h3 postgresql-${pg}-h3-dbgsym postgresql-${pg}-pgvector postgresql-${pg}-pgvector-dbgsym postgresql-${pg}-pgrouting postgresql-${pg}-pgrouting-dbgsym postgresql-${pg}-cron postgresql-${pg}-cron-dbgsym postgresql-${pg}-pgaudit postgresql-${pg}-pgaudit-dbgsym postgresql-${pg}-pg-qualstats postgresql-${pg}-pg-qualstats-dbgsym postgresql-${pg}-pg-stat-kcache postgresql-${pg}-pg-stat-kcache-dbgsym postgresql-${pg}-pglogical postgresql-${pg}-pglogical-dbgsym postgresql-${pg}-hll postgresql-${pg}-hll-dbgsym postgresql-${pg}-pldebugger postgresql-${pg}-pldebugger-dbgsym postgresql-${pg}-rum postgresql-${pg}-rum-dbgsym postgresql-${pg}-orafce postgresql-${pg}-orafce-dbgsym"; done; apt-get install -y $packages # buildkit
2026-03-16 10:22:56 UTC (buildkit.dockerfile.v0)ARG POSTGIS_VERSIONS=3
2026-03-16 10:23:00 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c if [ -n "${POSTGIS_VERSIONS}" ]; then for postgisv in ${POSTGIS_VERSIONS}; do for pg in ${PG_VERSIONS}; do apt-get install -y postgresql-${pg}-postgis-${postgisv} postgresql-${pg}-postgis-${postgisv}-dbgsym; done; done; fi # buildkit
2026-03-16 10:23:02 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c apt-get install -y pgxnclient # buildkit
2026-03-16 10:23:04 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for pkg in pg_uuidv7; do PATH="/usr/lib/postgresql/${pg}/bin:$PATH" pgxnclient install --pg_config "/usr/lib/postgresql/${pg}/bin/pg_config" "$pkg"; done; done # buildkit
2026-03-16 10:23:04 UTC (buildkit.dockerfile.v0)ARG PGVECTO_RS=0.4.0
2026-03-16 10:23:08 UTC (buildkit.dockerfile.v0)RUN |6 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 /bin/bash -exu -o pipefail -c if [ -n "${PGVECTO_RS}" ]; then for pg in ${PG_VERSIONS}; do if [[ $pg -ge 14 && $pg -lt 18 ]]; then curl --silent --location --output /tmp/vectors.deb "https://github.com/tensorchord/pgvecto.rs/releases/download/v${PGVECTO_RS}/vectors-pg${pg}_${PGVECTO_RS}_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectors.deb && rm -rfv /tmp/vectors.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vectors.so"; fi done; fi # buildkit
2026-03-16 10:23:08 UTC (buildkit.dockerfile.v0)ARG VECTORCHORD=0.5.3
2026-03-16 10:23:08 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c set -ex; if [ -n "${VECTORCHORD}" ]; then for pg in ${PG_VERSIONS}; do curl --silent --location --output /tmp/vectorchord.deb "https://github.com/tensorchord/VectorChord/releases/download/${VECTORCHORD}/postgresql-${pg}-vchord_${VECTORCHORD}-1_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectorchord.deb && rm -rfv /tmp/vectorchord.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vchord.so"; done; fi # buildkit
2026-03-16 10:23:15 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c apt-get install -y python3-etcd python3-requests python3-pystache python3-kubernetes python3-pysyncobj patroni # buildkit
2026-03-16 10:23:22 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c pip3 install --no-cache-dir 'barman[cloud,azure,snappy,google]' # buildkit
2026-03-16 10:23:25 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c apt-get install -y timescaledb-tools # buildkit
2026-03-16 10:23:25 UTC (buildkit.dockerfile.v0)ARG GITHUB_TIMESCALEDB_DOCKER_REF=main
2026-03-16 10:23:25 UTC (buildkit.dockerfile.v0)ARG GITHUB_DOCKERLIB_POSTGRES_REF=master
2026-03-16 10:23:25 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c cd /build; git clone https://github.com/timescale/timescaledb-docker; cd timescaledb-docker; git checkout ${GITHUB_TIMESCALEDB_DOCKER_REF}; cp -a docker-entrypoint-initdb.d /docker-entrypoint-initdb.d/; ln -s /usr/bin/timescaledb-tune /usr/local/bin/timescaledb-tune # buildkit
2026-03-16 10:23:25 UTC (buildkit.dockerfile.v0)COPY scripts/010_install_timescaledb_toolkit.sh /docker-entrypoint-initdb.d/ # buildkit
2026-03-16 10:23:25 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/docker-entrypoint.sh # buildkit
2026-03-16 10:23:25 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chmod +x /usr/local/bin/docker-entrypoint.sh; ln -s /usr/local/bin/docker-entrypoint.sh /docker-entrypoint.sh # buildkit
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --includedir-server)/extension"; do install --directory "${dir}" --group postgres --mode 1775; find "${dir}" -type d -exec install --directory {} --group postgres --mode 1775 \;; done; done # buildkit
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for file in $(find /usr/share/postgresql -name 'postgresql.conf.sample'); do sed -r -i "s/[#]*\s*(shared_preload_libraries)\s*=\s*'(.*)'/\1 = 'timescaledb,\2'/;s/,'/'/" $file && echo "listen_addresses = '*'" >> $file; done # buildkit
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for file in $(find /usr/share/postgresql -name 'postgresql.conf.sample'); do pgver="$(basename "$(dirname "$file")")"; if [ "$pgver" -ge 17 ] 2>/dev/null; then sed -r -i "s/(shared_preload_libraries\s*=\s*'[^']*)/\1,pg_textsearch/" "$file"; fi; done # buildkit
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chown -R postgres:postgres /usr/local/cargo # buildkit
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c mkdir -p /usr/lib/debug; chgrp -R postgres /usr/lib/debug; chmod -R g+w /usr/lib/debug # buildkit
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d /usr/local/lib/pgai # buildkit
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)USER postgres
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)ENV MAKEFLAGS=-j4
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)ARG PGAI_VERSION=extension-0.11.2
2026-03-16 10:25:14 UTC (buildkit.dockerfile.v0)RUN |10 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 /bin/bash -exu -o pipefail -c if [ -n "${PGAI_VERSION}" ]; then git clone --branch "${PGAI_VERSION}" https://github.com/timescale/pgai.git /build/pgai; cd /build/pgai; for pg in ${PG_VERSIONS}; do [[ "$pg" -lt 16 ]] && continue; PG_BIN=$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir) PG_MAJOR=${pg} ./projects/extension/build.py install all; done; fi # buildkit
2026-03-16 10:25:14 UTC (buildkit.dockerfile.v0)ARG PG_STAT_MONITOR=2.2.0
2026-03-16 10:25:19 UTC (buildkit.dockerfile.v0)RUN |11 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_STAT_MONITOR}" ]; then git clone https://github.com/percona/pg_stat_monitor /build/pg_stat_monitor; cd /build/pg_stat_monitor; git checkout "${PG_STAT_MONITOR}"; git reset HEAD --hard; for pg in ${PG_VERSIONS}; do [ "$pg" -gt 17 ] && continue; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 all; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 install; done; fi # buildkit
2026-03-16 10:25:19 UTC (buildkit.dockerfile.v0)ARG PG_AUTH_MON=v3.0
2026-03-16 10:25:19 UTC (buildkit.dockerfile.v0)RUN |12 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_AUTH_MON}" ]; then git clone https://github.com/RafiaSabih/pg_auth_mon /build/pg_auth_mon; cd /build/pg_auth_mon; git checkout "${PG_AUTH_MON}"; for pg in ${PG_VERSIONS}; do git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit
2026-03-16 10:25:19 UTC (buildkit.dockerfile.v0)ARG PG_LOGERRORS=v2.1.5
2026-03-16 10:25:20 UTC (buildkit.dockerfile.v0)RUN |13 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 /bin/bash -exu -o pipefail -c if [ -n "${PG_LOGERRORS}" ]; then git clone https://github.com/munakoiso/logerrors /build/logerrors; cd /build/logerrors; git checkout "${PG_LOGERRORS}"; for pg in ${PG_VERSIONS}; do git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit
2026-03-16 10:25:20 UTC (buildkit.dockerfile.v0)ARG INSTALL_METHOD=docker-ha
2026-03-16 10:25:20 UTC (buildkit.dockerfile.v0)ARG OSS_ONLY=true
2026-03-16 10:25:20 UTC (buildkit.dockerfile.v0)ARG RUST_RELEASE=release
2026-03-16 10:25:20 UTC (buildkit.dockerfile.v0)USER root
2026-03-16 10:25:20 UTC (buildkit.dockerfile.v0)ARG ALLOW_ADDING_EXTENSIONS=true
2026-03-16 10:25:20 UTC (buildkit.dockerfile.v0)ARG GITHUB_REPO=timescale/timescaledb
2026-03-16 10:25:20 UTC (buildkit.dockerfile.v0)ARG TIMESCALEDB_VERSIONS=all
2026-03-16 10:36:09 UTC (buildkit.dockerfile.v0)RUN |19 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" GITHUB_REPO="${GITHUB_REPO}" TIMESCALEDB_VERSIONS="${TIMESCALEDB_VERSIONS}" /build/scripts/install_extensions timescaledb # buildkit
2026-03-16 10:36:09 UTC (buildkit.dockerfile.v0)USER postgres
2026-03-16 10:36:09 UTC (buildkit.dockerfile.v0)ARG TOOLKIT_VERSIONS=all
2026-03-16 10:36:10 UTC (buildkit.dockerfile.v0)RUN |20 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" TOOLKIT_VERSIONS="${TOOLKIT_VERSIONS}" /build/scripts/install_extensions rust # buildkit
2026-03-16 10:36:10 UTC (buildkit.dockerfile.v0)ARG PGVECTORSCALE_VERSIONS=all
2026-03-16 10:36:13 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" PGVECTORSCALE_VERSIONS="${PGVECTORSCALE_VERSIONS}" /build/scripts/install_extensions pgvectorscale # buildkit
2026-03-16 10:36:13 UTC (buildkit.dockerfile.v0)ARG PG_TEXTSEARCH_VERSION=v0.6.1
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c PG_TEXTSEARCH_VERSION="${PG_TEXTSEARCH_VERSION}" /build/scripts/install_extensions pg_textsearch # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)USER root
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)ARG ALLOW_ADDING_EXTENSIONS=true
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c if [ "${ALLOW_ADDING_EXTENSIONS}" != "true" ]; then for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)"; do chown -R root:root "{dir}"; done; done; fi # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c apt-get clean # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)ARG PG_MAJOR=16
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)CMD ["postgres"]
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)COPY timescaledb_entrypoint.sh / # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c ln -s /timescaledb_entrypoint.sh /patroni_entrypoint.sh # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)COPY pgbackrest_entrypoint.sh / # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)COPY scripts /scripts/ # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)ENV PGROOT=/home/postgres PGDATA=/home/postgres/pgdata/data PGLOG=/home/postgres/pg_log PGSOCKET=/home/postgres/pgdata BACKUPROOT=/home/postgres/pgdata/backup PGBACKREST_CONFIG=/home/postgres/pgdata/backup/pgbackrest.conf PGBACKREST_STANZA=poddb PATH=/usr/lib/postgresql/16/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin LC_ALL=C.UTF-8 LANG=C.UTF-8 PAGER=
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c usermod postgres --home "${PGROOT}" --move-home # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d "${PGROOT}" "${PGLOG}" "${PGDATA}" "${BACKUPROOT}" /etc/supervisor/conf.d /scripts /var/lib/postgresql # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c rm /etc/pgbackrest.conf && ln -s "${PGBACKREST_CONFIG}" /etc/pgbackrest.conf # buildkit
2026-03-16 10:36:14 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c for i in $(seq 0 7); do touch "${PGLOG}/postgresql-$i.log" "${PGLOG}/postgresql-$i.csv"; done # buildkit
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c set -e; chown -R postgres:postgres "${PGLOG}" "${PGROOT}" "${PGDATA}" /var/run/postgresql/; chown -R postgres:postgres /var/log/pgbackrest/ /var/lib/pgbackrest /var/spool/pgbackrest; chmod -x /usr/lib/postgresql/*/lib/*.so; chmod 1777 /var/run/postgresql; chmod 755 "${PGROOT}" # buildkit
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c set -eux; mv -f /etc/apt/sources.list /etc/apt/sources.list.aws; mv -f /etc/apt/sources.list.dist /etc/apt/sources.list # buildkit
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)ARG DOCKER_FROM=ubuntu:22.04
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)ARG BUILDER_URL=docker.io/timescale/timescaledb-ha:pg16-oss-builder
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)ARG RELEASE_URL=docker.io/timescale/timescaledb-ha:pg16-oss
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)RUN |25 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg16-oss-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg16-oss /bin/bash -exu -o pipefail -c /build/scripts/install_extensions versions > /.image_config; echo "OSS_ONLY=\"$OSS_ONLY\"" >> /.image_config; echo "PG_LOGERRORS=\"${PG_LOGERRORS}\"" >> /.image_config; echo "PG_STAT_MONITOR=\"${PG_STAT_MONITOR}\"" >> /.image_config; echo "PGVECTO_RS=\"${PGVECTO_RS}\"" >> /.image_config; echo "VECTORCHORD=\"${VECTORCHORD}\"" >> /.image_config; echo "POSTGIS_VERSIONS=\"${POSTGIS_VERSIONS}\"" >> /.image_config; echo "PG_AUTH_MON=\"${PG_AUTH_MON}\"" >> /.image_config; echo "PGBOUNCER_EXPORTER_VERSION=\"${PGBOUNCER_EXPORTER_VERSION}\"" >> /.image_config; echo "PGBACKREST_EXPORTER_VERSION=\"${PGBACKREST_EXPORTER_VERSION}\"" >> /.image_config; echo "PGAI_VERSION=\"${PGAI_VERSION}\"" >> /.image_config; echo "PGVECTORSCALE_VERSIONS=\"${PGVECTORSCALE_VERSIONS}\"" >> /.image_config; echo "PG_TEXTSEARCH_VERSION=\"${PG_TEXTSEARCH_VERSION}\"" >> /.image_config; echo "PG_MAJOR=\"${PG_MAJOR}\"" >> /.image_config; echo "PG_VERSIONS=\"${PG_VERSIONS}\"" >> /.image_config; echo "FROM=\"${DOCKER_FROM}\"" >> /.image_config; echo "RELEASE_URL=\"${RELEASE_URL}\"" >> /.image_config; echo "BUILDER_URL=\"${BUILDER_URL}\"" >> /.image_config; echo "BUILD_DATE=\"$(date -Iseconds)\"" >> /.image_config # buildkit
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)WORKDIR /home/postgres
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)EXPOSE [5432/tcp 8008/tcp 8081/tcp]
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)USER postgres
2026-03-16 10:36:32 UTC (buildkit.dockerfile.v0)COPY --chown=postgres:postgres cicd /cicd/ # buildkit
2026-03-16 10:36:33 UTC (buildkit.dockerfile.v0)RUN |25 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg16-oss-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg16-oss /bin/bash -exu -o pipefail -c /cicd/install_checks -v # buildkit
2026-03-16 10:33:03 UTC
2.02 GB
/home/postgres/pgdata/backup
BUILD_PACKAGESbinutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev
CARGO_HOME/usr/local/cargo
DEBIAN_FRONTENDnoninteractive
LANGC.UTF-8
LC_ALLC.UTF-8
MAKEFLAGS-j4
PAGER PATH/usr/lib/postgresql/16/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PGBACKREST_CONFIG/home/postgres/pgdata/backup/pgbackrest.conf
PGBACKREST_STANZApoddb
PGDATA/home/postgres/pgdata/data
PGLOG/home/postgres/pg_log
PGROOT/home/postgres
PGSOCKET/home/postgres/pgdata
RUSTUP_HOME/usr/local/rustup
RUST_VERSION1.85.0
[#000] sha256:c36472b3458398be28ecbfebbaac44143c040eae73411baded48a22060d3055b - 1.26% (26.1 MB)
[#001] sha256:08b3a5a8add43a29b1f0ef8ece2d7188c58950a3329b921c08b670861210df0b - 0.0% (4.21 KB)
[#002] sha256:4aec1ea8f62db54b60be4c5e4637576ac320cf204dce82917b78bc36f63f6096 - 0.0% (214 Bytes)
[#003] sha256:5677aeea0fc3e8f374ef6626c0c2e5f142d2a81a853bd4495dcdfea8b60311b6 - 0.0% (229 Bytes)
[#004] sha256:0590c02a5c97f2a741d8c5f1f023c43e98ae5c21fba73be4599ef8361fc68552 - 0.0% (447 Bytes)
[#005] sha256:33c4937f7910fff34d20fa367d8ba1013a5cd7a295680e543cd329bf5a2cfc55 - 0.0% (931 Bytes)
[#006] sha256:a9098e04e037da395d5a25eb4bb41ee63c56daa61cad0dce9ac1ebc85c6527e6 - 3.35% (69.4 MB)
[#007] sha256:784960ca878463daa62c8fab5d5589f7ebd6efa19a35675e35d727aa7173f6d4 - 0.0% (119 Bytes)
[#008] sha256:d52e3c8b01e0f0893afb85a4fcea9c7905f07ad7b37036c0acb6ead30b65ca7a - 0.0% (95 Bytes)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:4d67ca29edb22d9ed3b4e6d507f878260290a4f91d0639bdc7696855f43eb550 - 0.0% (3.56 KB)
[#011] sha256:b09084255c59b851b5fec7f25a279aad4153eafc0048aa2e44e7e6615f480a38 - 0.0% (5.5 KB)
[#012] sha256:dc8476b7a89e838b441d0c385622b69ad752519d59a5cb12edc7e3efb950ff68 - 0.0% (3.01 KB)
[#013] sha256:c7a8e322c94cdcec72d76c1d573db8f15b889c5ab93f2833f6b8d8ddce4d611d - 0.0% (270 Bytes)
[#014] sha256:b258c6a9618afaed9ecd6ebfeb5b6b64d27c781cb86e5f03a1d9c58c80fea6c5 - 3.66% (75.8 MB)
[#015] sha256:9b45b988f3c6553d7d90bc111aa9d342f0b2bfc4e748eb6a10d9df937f10880c - 0.18% (3.69 MB)
[#016] sha256:facc2e164006cc4e51f6b2ebc997af423892343272f06261dc0ad3aabcbe1879 - 0.36% (7.53 MB)
[#017] sha256:a5948017e9cea7cf03d50378eac9e5169232356ba068b163448a63d67ab07645 - 0.0% (838 Bytes)
[#018] sha256:d335f45e4a3af10d7f9954513cacb13c31f5e97282bfdec24ad55bde83a8182c - 11.86% (245 MB)
[#019] sha256:a3d376e1de6d6cc1aef2732310c621b591f59cfcc26c425d8881ab62338659e8 - 0.04% (850 KB)
[#020] sha256:d25c875aa2dd6bfb28d12ea705e7e6ce87463a1dcfbc29e5d75774993bff6f68 - 0.24% (4.91 MB)
[#021] sha256:f6907c313bb1f72137f71536979bffadb2bb4d4c784d5c1202b5598dd7626d57 - 2.09% (43.3 MB)
[#022] sha256:8a03b278c76fa5405481c9dff1cb454a82d1d3def6bf4df0a4303255f8b27dfb - 5.01% (104 MB)
[#023] sha256:43dc0e14effa035760a54a4ad2448ee4a6d57dede05cf3f5dbb8e9ec119e33ac - 0.0% (1.95 KB)
[#024] sha256:609bacc2624a1ff12cea3eaa7a05599cc2ca2458a935428f14529f6166b1b280 - 0.07% (1.5 MB)
[#025] sha256:b86026820279f79cb801710a813a52121f567b75a4a1378bd0dd07e2c8ab2c82 - 0.0% (8.23 KB)
[#026] sha256:21f8fc423d22d7d72d41b18131b7ac1c949355c6a13a5f07e77f099eba5c0b78 - 9.91% (205 MB)
[#027] sha256:0c013323f53b560c87f4109d6e3fd3ef1fc1cff357cf49d86844a6e88cd2c47d - 0.07% (1.55 MB)
[#028] sha256:baa8140f77c84215907d66db23dc6738bf716f4fcb2e3314d6f706f109b0bd7c - 6.09% (126 MB)
[#029] sha256:2f9b15eaf90abdb39d685c8d0ea654589279f79c7374b07fe7e018a40b79f319 - 0.21% (4.3 MB)
[#030] sha256:71950df0547e80880bd91558dd9fa54a6eab5dea68dd75fd435456c1524068e3 - 0.02% (435 KB)
[#031] sha256:092dcc93e394cd6866e07af13628c2eda002f3b0d811769adf60c30cd8ca0b7a - 0.0% (16 KB)
[#032] sha256:d3db4e9f14c68b69eff664367d7804a1f694f5fa6d765a46cd946beeaef4464a - 0.24% (4.97 MB)
[#033] sha256:07845fe9d644ea17a2d602019afe010f6a502e429e3344abd2f80837724e4de8 - 0.15% (3.04 MB)
[#034] sha256:6943629feee7d577dbf56565ef23e528e852a3b2560ef4962ab48f3bb469aa71 - 0.24% (5.07 MB)
[#035] sha256:49077854fd63f56cf46ca390ad5ba1dab615869db4990a8f38059d89f1108eec - 1.24% (25.6 MB)
[#036] sha256:7525cd2e79142bf28f5bf9c31bacf2bf7efe7d276cfd048e8ef41d35d50c5e33 - 0.2% (4.12 MB)
[#037] sha256:6fff97088832a7c05e092110a1e0489a62ba27e1512490442b1e92c57c38ce67 - 0.01% (238 KB)
[#038] sha256:ab4971ba48995a1c91f314a75dc75e2414a136516284bd74e08dad4b12b62385 - 0.0% (563 Bytes)
[#039] sha256:e08ea270d3093d1d1f1a4b2a05a710e2f3b9139d1f326f25db7f77a8b743caad - 0.0% (5.17 KB)
[#040] sha256:186ed401e850d74eb960b2d9ffdd0af3ec5c82ce1de117bd034ec84e3d86dc1a - 0.0% (123 Bytes)
[#041] sha256:9de15ffe6357536ea5755ab9cc9f5f164472e34a9c3caa85a10216368f850368 - 0.0% (15.2 KB)
[#042] sha256:17f0bac02bea6b3a54580a77b4bd68203cf4f49b9b26d85c39bdb8edc0b1e923 - 0.0% (9.03 KB)
[#043] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#044] sha256:f84e58615fdb385bf58fcf7326e245b4147fa152b4843390af599c6a384592ce - 3.91% (80.9 MB)
[#045] sha256:8fd6cc6c31dc664dfbf7a19f655217657c8d2c79a22266b41dc7380f7714f4be - 1.98% (41 MB)
[#046] sha256:947efdf7d46f76bf88504cd39583463e496410a8608e5db3482a5f2d984f1dc4 - 0.0% (165 Bytes)
[#047] sha256:faac11bcf1ba4aecbde81af51703675496742220d979b8d932227154dc8d9f26 - 34.38% (711 MB)
[#048] sha256:5fc28529226af605ad2ed13a5e1548470f49a6be7d48e71d3e96e05bb853c2e8 - 0.51% (10.6 MB)
[#049] sha256:736ebbf49cb11fba445a9d2e9805507377e6326157482c825d4e8cf0284d4da6 - 0.01% (273 KB)
[#050] sha256:c4481dbf37afbabee3772fcfe3bdc5158068a06d895b3f480e13e41c0937f187 - 0.02% (478 KB)
[#051] sha256:eff8eedde1018c814359647addc6c19d6afc2bdf0c049211bf6f9102e890e50e - 12.1% (250 MB)
[#052] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#053] sha256:45b7972310c69fb2fbb1d4fa1d331df0422e5a89851d1d350e05fae33f11466f - 0.24% (4.92 MB)
[#054] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#055] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#056] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#057] sha256:f2b4443e81afd3d3092065f168c30a99144db55cda20efff22f128e91447bacf - 0.0% (1.25 KB)
[#058] sha256:06d92c0fe8c3f5ddb3bf8cd8640d1f41a2ee508640f343d97e5c762b1c56798e - 0.0% (120 Bytes)
[#059] sha256:0ae77ea458921611de9efaa871f6a9485050bd5d0e7e121081355a1d6c749ae0 - 0.0% (987 Bytes)
[#060] sha256:6286222afe5da71d9d317fbac45928fea6ed7eb6549cf0603895b6681403dede - 0.0% (24.9 KB)
[#061] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#062] sha256:c7fa1c133df4bf15b9f3b2326efb77656accb93e9158ac1e4328ee38b35208b4 - 0.0% (334 Bytes)
[#063] sha256:477142c72c32947a363f6a96301a9c1dcf0b9decb6568846c8e7c3909460c8a0 - 0.0% (153 Bytes)
[#064] sha256:3965457b769c11c69c5f2ed30a969fb77a79579876723b7c953face9c2603f61 - 0.0% (322 Bytes)
[#065] sha256:2779f017387353caae5cc44478a2fbe9159882e9c07cb5d9271890af93ccff7d - 0.32% (6.57 MB)
[#066] sha256:93cfc8456fe255365f005c9660e4addfe6a1435906ec0d5ad64bf11d8dfc3449 - 0.0% (907 Bytes)
[#067] sha256:87829d58f346e3fa5974919a72162cf937a941e9188b9f9623de239ba8611232 - 0.0% (555 Bytes)
[#068] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#069] sha256:d519a164d57a22faffee9966e2aaddcdc2937264d21952f7f835335f05f17824 - 0.0% (4.34 KB)
[#070] sha256:4cec907895779cb6b440d7bb7a3b7565766a67f5b167f1f06a3ecdf902d5a2f9 - 0.0% (146 Bytes)
/bin/sh -c #(nop) ARG RELEASE
2026-02-10 17:42:29 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2026-02-10 17:42:29 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2026-02-10 17:42:29 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04
2026-02-10 17:42:31 UTC/bin/sh -c #(nop) ADD file:a85469998596adb526225bc2a2ce3f2cd899fb87a09539f6f84d359c6b935769 in /
2026-02-10 17:42:31 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-03-16 10:22:01 UTC (buildkit.dockerfile.v0)SHELL [/bin/bash -exu -o pipefail -c]
2026-03-16 10:22:01 UTC (buildkit.dockerfile.v0)ARG PG_VERSIONS=16
2026-03-16 10:22:01 UTC (buildkit.dockerfile.v0)ARG PG_MAJOR=16
2026-03-16 10:22:01 UTC (buildkit.dockerfile.v0)ENV DEBIAN_FRONTEND=noninteractive
2026-03-16 10:22:01 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c adduser --home /home/postgres --uid 1000 --disabled-password --gecos "" postgres # buildkit
2026-03-16 10:22:01 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c echo 'APT::Install-Recommends "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit
2026-03-16 10:22:02 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c echo 'APT::Install-Suggests "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit
2026-03-16 10:22:02 UTC (buildkit.dockerfile.v0)COPY sources /tmp/sources # buildkit
2026-03-16 10:22:02 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c source="/tmp/sources/sources.list.$(dpkg --print-architecture)"; mv /etc/apt/sources.list /etc/apt/sources.list.dist; cp "$source" /etc/apt/sources.list; rm -fr /tmp/sources # buildkit
2026-03-16 10:22:15 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y ca-certificates curl gnupg1 gpg gpg-agent locales lsb-release wget unzip # buildkit
2026-03-16 10:22:15 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c mkdir -p /build/scripts # buildkit
2026-03-16 10:22:15 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c chmod 777 /build # buildkit
2026-03-16 10:22:15 UTC (buildkit.dockerfile.v0)WORKDIR /build/
2026-03-16 10:22:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c curl -Ls https://www.postgresql.org/media/keys/ACCC4CF8.asc | gpg --dearmor --output /usr/share/keyrings/postgresql.keyring # buildkit
2026-03-16 10:22:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c for t in deb deb-src; do echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt.postgresql.org/pub/repos/apt/ $(lsb_release -s -c)-pgdg main 18" >> /etc/apt/sources.list.d/pgdg.list; echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt-archive.postgresql.org/pub/repos/apt $(lsb_release -s -c)-pgdg-archive main" >> /etc/apt/sources.list.d/pgdg.list; done # buildkit
2026-03-16 10:22:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c curl -Ls https://packagecloud.io/timescale/timescaledb/gpgkey | gpg --dearmor --output /usr/share/keyrings/timescaledb.keyring # buildkit
2026-03-16 10:22:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/timescaledb.keyring] https://packagecloud.io/timescale/timescaledb/ubuntu/ $(lsb_release -cs) main" > /etc/apt/sources.list.d/timescaledb.list # buildkit
2026-03-16 10:22:35 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=16 PG_MAJOR=16 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y less jq strace procps awscli vim-tiny gdb gdbserver dumb-init daemontools postgresql-common pgbouncer pgbackrest lz4 libpq-dev libpq5 pgtop libnss-wrapper gosu pg-activity lsof htop; curl -Lso /usr/local/bin/yq https://github.com/mikefarah/yq/releases/latest/download/yq_linux_"$(dpkg --print-architecture)"; chmod 755 /usr/local/bin/yq # buildkit
2026-03-16 10:22:35 UTC (buildkit.dockerfile.v0)ARG PGBACKREST_EXPORTER_VERSION=0.18.0
2026-03-16 10:22:36 UTC (buildkit.dockerfile.v0)RUN |3 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 /bin/bash -exu -o pipefail -c arch="$(arch)"; [ "$arch" = aarch64 ] && arch=arm64; pkg="pgbackrest_exporter_${PGBACKREST_EXPORTER_VERSION}_linux_${arch}"; curl --silent --location --output /tmp/pkg.deb "https://github.com/woblerr/pgbackrest_exporter/releases/download/v${PGBACKREST_EXPORTER_VERSION}/${pkg}.deb"; cd /tmp; dpkg -i ./pkg.deb; rm -rfv /tmp/pkg.deb # buildkit
2026-03-16 10:22:36 UTC (buildkit.dockerfile.v0)ARG PGBOUNCER_EXPORTER_VERSION=0.9.0
2026-03-16 10:22:37 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c pkg="pgbouncer_exporter-${PGBOUNCER_EXPORTER_VERSION}.linux-$(dpkg --print-architecture)"; curl --silent --location --output /tmp/pkg.tgz "https://github.com/prometheus-community/pgbouncer_exporter/releases/download/v${PGBOUNCER_EXPORTER_VERSION}/${pkg}.tar.gz"; cd /tmp; tar xvzf /tmp/pkg.tgz "$pkg"/pgbouncer_exporter; mv -v /tmp/"$pkg"/pgbouncer_exporter /usr/local/bin/pgbouncer_exporter; rm -rfv /tmp/pkg.tgz /tmp/"$pkg" # buildkit
2026-03-16 10:22:37 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c sed -ri 's/#(create_main_cluster) .*$/\1 = false/' /etc/postgresql-common/createcluster.conf # buildkit
2026-03-16 10:22:37 UTC (buildkit.dockerfile.v0)ENV RUSTUP_HOME=/usr/local/rustup CARGO_HOME=/usr/local/cargo PATH=/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUST_VERSION=1.85.0
2026-03-16 10:22:46 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) rustArch='x86_64-unknown-linux-gnu'; rustupSha256='6aeece6993e902708983b209d04c0d1dbb14ebb405ddb87def578d41f920f56d' ;; armhf) rustArch='armv7-unknown-linux-gnueabihf'; rustupSha256='3c4114923305f1cd3b96ce3454e9e549ad4aa7c07c03aec73d1a785e98388bed' ;; arm64) rustArch='aarch64-unknown-linux-gnu'; rustupSha256='1cffbf51e63e634c746f741de50649bbbcbd9dbe1de363c9ecef64e278dba2b2' ;; i386) rustArch='i686-unknown-linux-gnu'; rustupSha256='0a6bed6e9f21192a51f83977716466895706059afb880500ff1d0e751ada5237' ;; *) echo >&2 "unsupported architecture: ${dpkgArch}"; exit 1 ;; esac; url="https://static.rust-lang.org/rustup/archive/1.27.1/${rustArch}/rustup-init"; wget "$url"; echo "${rustupSha256} *rustup-init" | sha256sum -c -; chmod +x rustup-init; ./rustup-init -y --no-modify-path --profile minimal --default-toolchain $RUST_VERSION --default-host ${rustArch}; rm rustup-init; chmod -R a+w $RUSTUP_HOME $CARGO_HOME; rustup --version; cargo --version; rustc --version # buildkit
2026-03-16 10:22:47 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c find /usr/share/i18n/charmaps/ -type f ! -name UTF-8.gz -delete; find /usr/share/i18n/locales/ -type f ! -name en_US ! -name en_GB ! -name i18n* ! -name iso14651_t1 ! -name iso14651_t1_common ! -name 'translit_*' -delete; echo 'en_US.UTF-8 UTF-8' > /usr/share/i18n/SUPPORTED; localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8 # buildkit
2026-03-16 10:22:51 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y python3 python3-pip # buildkit
2026-03-16 10:22:53 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c python3 -m pip install uv # buildkit
2026-03-16 10:22:53 UTC (buildkit.dockerfile.v0)ENV BUILD_PACKAGES=binutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev
2026-03-16 10:23:04 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y ${BUILD_PACKAGES} # buildkit
2026-03-16 10:23:05 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-mark auto ${BUILD_PACKAGES} # buildkit
2026-03-16 10:23:08 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y --allow-downgrades tzdata="2022a-*" # buildkit
2026-03-16 10:23:08 UTC (buildkit.dockerfile.v0)COPY --chown=postgres:postgres build_scripts /build/scripts/ # buildkit
2026-03-16 10:23:24 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do mk-build-deps "postgresql-${pg}" && apt-get install -y ./postgresql-${pg}-build-deps*.deb && apt-mark auto postgresql-${pg}-build-deps || exit 1; done # buildkit
2026-03-16 10:23:27 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y tzdata # buildkit
2026-03-16 10:23:49 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c packages=""; for pg in ${PG_VERSIONS}; do export FULL_VERSION="$(/build/scripts/pg_version.sh ${pg})*" ; packages="$packages postgresql-client-${pg}=${FULL_VERSION} postgresql-${pg}=${FULL_VERSION} postgresql-server-dev-${pg}=${FULL_VERSION} postgresql-${pg}-dbgsym=${FULL_VERSION} postgresql-plpython3-${pg}=${FULL_VERSION} postgresql-plpython3-${pg}-dbgsym=${FULL_VERSION} postgresql-plperl-${pg}=${FULL_VERSION} postgresql-plperl-${pg}-dbgsym=${FULL_VERSION} postgresql-${pg}-pgextwlist postgresql-${pg}-pgextwlist-dbgsym postgresql-${pg}-repack postgresql-${pg}-repack-dbgsym postgresql-${pg}-unit postgresql-${pg}-unit-dbgsym postgresql-${pg}-pgpcre postgresql-${pg}-pgpcre-dbgsym postgresql-${pg}-wal2json postgresql-${pg}-wal2json-dbgsym postgresql-${pg}-pgq3 postgresql-${pg}-pgq3-dbgsym postgresql-${pg}-ip4r postgresql-${pg}-ip4r-dbgsym postgresql-${pg}-pgtap postgresql-${pg}-semver postgresql-${pg}-semver-dbgsym postgresql-${pg}-hypopg postgresql-${pg}-hypopg-dbgsym postgresql-${pg}-h3 postgresql-${pg}-h3-dbgsym postgresql-${pg}-pgvector postgresql-${pg}-pgvector-dbgsym postgresql-${pg}-pgrouting postgresql-${pg}-pgrouting-dbgsym postgresql-${pg}-cron postgresql-${pg}-cron-dbgsym postgresql-${pg}-pgaudit postgresql-${pg}-pgaudit-dbgsym postgresql-${pg}-pg-qualstats postgresql-${pg}-pg-qualstats-dbgsym postgresql-${pg}-pg-stat-kcache postgresql-${pg}-pg-stat-kcache-dbgsym postgresql-${pg}-pglogical postgresql-${pg}-pglogical-dbgsym postgresql-${pg}-hll postgresql-${pg}-hll-dbgsym postgresql-${pg}-pldebugger postgresql-${pg}-pldebugger-dbgsym postgresql-${pg}-rum postgresql-${pg}-rum-dbgsym postgresql-${pg}-orafce postgresql-${pg}-orafce-dbgsym"; done; apt-get install -y $packages # buildkit
2026-03-16 10:23:49 UTC (buildkit.dockerfile.v0)ARG POSTGIS_VERSIONS=3
2026-03-16 10:23:51 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c if [ -n "${POSTGIS_VERSIONS}" ]; then for postgisv in ${POSTGIS_VERSIONS}; do for pg in ${PG_VERSIONS}; do apt-get install -y postgresql-${pg}-postgis-${postgisv} postgresql-${pg}-postgis-${postgisv}-dbgsym; done; done; fi # buildkit
2026-03-16 10:23:53 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c apt-get install -y pgxnclient # buildkit
2026-03-16 10:23:56 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for pkg in pg_uuidv7; do PATH="/usr/lib/postgresql/${pg}/bin:$PATH" pgxnclient install --pg_config "/usr/lib/postgresql/${pg}/bin/pg_config" "$pkg"; done; done # buildkit
2026-03-16 10:23:56 UTC (buildkit.dockerfile.v0)ARG PGVECTO_RS=0.4.0
2026-03-16 10:24:00 UTC (buildkit.dockerfile.v0)RUN |6 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 /bin/bash -exu -o pipefail -c if [ -n "${PGVECTO_RS}" ]; then for pg in ${PG_VERSIONS}; do if [[ $pg -ge 14 && $pg -lt 18 ]]; then curl --silent --location --output /tmp/vectors.deb "https://github.com/tensorchord/pgvecto.rs/releases/download/v${PGVECTO_RS}/vectors-pg${pg}_${PGVECTO_RS}_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectors.deb && rm -rfv /tmp/vectors.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vectors.so"; fi done; fi # buildkit
2026-03-16 10:24:00 UTC (buildkit.dockerfile.v0)ARG VECTORCHORD=0.5.3
2026-03-16 10:24:01 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c set -ex; if [ -n "${VECTORCHORD}" ]; then for pg in ${PG_VERSIONS}; do curl --silent --location --output /tmp/vectorchord.deb "https://github.com/tensorchord/VectorChord/releases/download/${VECTORCHORD}/postgresql-${pg}-vchord_${VECTORCHORD}-1_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectorchord.deb && rm -rfv /tmp/vectorchord.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vchord.so"; done; fi # buildkit
2026-03-16 10:24:07 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c apt-get install -y python3-etcd python3-requests python3-pystache python3-kubernetes python3-pysyncobj patroni # buildkit
2026-03-16 10:24:14 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c pip3 install --no-cache-dir 'barman[cloud,azure,snappy,google]' # buildkit
2026-03-16 10:24:16 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 /bin/bash -exu -o pipefail -c apt-get install -y timescaledb-tools # buildkit
2026-03-16 10:24:16 UTC (buildkit.dockerfile.v0)ARG GITHUB_TIMESCALEDB_DOCKER_REF=main
2026-03-16 10:24:16 UTC (buildkit.dockerfile.v0)ARG GITHUB_DOCKERLIB_POSTGRES_REF=master
2026-03-16 10:24:17 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c cd /build; git clone https://github.com/timescale/timescaledb-docker; cd timescaledb-docker; git checkout ${GITHUB_TIMESCALEDB_DOCKER_REF}; cp -a docker-entrypoint-initdb.d /docker-entrypoint-initdb.d/; ln -s /usr/bin/timescaledb-tune /usr/local/bin/timescaledb-tune # buildkit
2026-03-16 10:24:17 UTC (buildkit.dockerfile.v0)COPY scripts/010_install_timescaledb_toolkit.sh /docker-entrypoint-initdb.d/ # buildkit
2026-03-16 10:24:17 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/docker-entrypoint.sh # buildkit
2026-03-16 10:24:17 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chmod +x /usr/local/bin/docker-entrypoint.sh; ln -s /usr/local/bin/docker-entrypoint.sh /docker-entrypoint.sh # buildkit
2026-03-16 10:24:18 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --includedir-server)/extension"; do install --directory "${dir}" --group postgres --mode 1775; find "${dir}" -type d -exec install --directory {} --group postgres --mode 1775 \;; done; done # buildkit
2026-03-16 10:24:18 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for file in $(find /usr/share/postgresql -name 'postgresql.conf.sample'); do sed -r -i "s/[#]*\s*(shared_preload_libraries)\s*=\s*'(.*)'/\1 = 'timescaledb,\2'/;s/,'/'/" $file && echo "listen_addresses = '*'" >> $file; done # buildkit
2026-03-16 10:24:18 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for file in $(find /usr/share/postgresql -name 'postgresql.conf.sample'); do pgver="$(basename "$(dirname "$file")")"; if [ "$pgver" -ge 17 ] 2>/dev/null; then sed -r -i "s/(shared_preload_libraries\s*=\s*'[^']*)/\1,pg_textsearch/" "$file"; fi; done # buildkit
2026-03-16 10:24:19 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chown -R postgres:postgres /usr/local/cargo # buildkit
2026-03-16 10:24:19 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c mkdir -p /usr/lib/debug; chgrp -R postgres /usr/lib/debug; chmod -R g+w /usr/lib/debug # buildkit
2026-03-16 10:24:19 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d /usr/local/lib/pgai # buildkit
2026-03-16 10:24:19 UTC (buildkit.dockerfile.v0)USER postgres
2026-03-16 10:24:19 UTC (buildkit.dockerfile.v0)ENV MAKEFLAGS=-j4
2026-03-16 10:24:19 UTC (buildkit.dockerfile.v0)ARG PGAI_VERSION=extension-0.11.2
2026-03-16 10:25:33 UTC (buildkit.dockerfile.v0)RUN |10 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 /bin/bash -exu -o pipefail -c if [ -n "${PGAI_VERSION}" ]; then git clone --branch "${PGAI_VERSION}" https://github.com/timescale/pgai.git /build/pgai; cd /build/pgai; for pg in ${PG_VERSIONS}; do [[ "$pg" -lt 16 ]] && continue; PG_BIN=$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir) PG_MAJOR=${pg} ./projects/extension/build.py install all; done; fi # buildkit
2026-03-16 10:25:33 UTC (buildkit.dockerfile.v0)ARG PG_STAT_MONITOR=2.2.0
2026-03-16 10:25:37 UTC (buildkit.dockerfile.v0)RUN |11 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_STAT_MONITOR}" ]; then git clone https://github.com/percona/pg_stat_monitor /build/pg_stat_monitor; cd /build/pg_stat_monitor; git checkout "${PG_STAT_MONITOR}"; git reset HEAD --hard; for pg in ${PG_VERSIONS}; do [ "$pg" -gt 17 ] && continue; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 all; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 install; done; fi # buildkit
2026-03-16 10:25:37 UTC (buildkit.dockerfile.v0)ARG PG_AUTH_MON=v3.0
2026-03-16 10:25:38 UTC (buildkit.dockerfile.v0)RUN |12 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_AUTH_MON}" ]; then git clone https://github.com/RafiaSabih/pg_auth_mon /build/pg_auth_mon; cd /build/pg_auth_mon; git checkout "${PG_AUTH_MON}"; for pg in ${PG_VERSIONS}; do git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit
2026-03-16 10:25:38 UTC (buildkit.dockerfile.v0)ARG PG_LOGERRORS=v2.1.5
2026-03-16 10:25:39 UTC (buildkit.dockerfile.v0)RUN |13 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 /bin/bash -exu -o pipefail -c if [ -n "${PG_LOGERRORS}" ]; then git clone https://github.com/munakoiso/logerrors /build/logerrors; cd /build/logerrors; git checkout "${PG_LOGERRORS}"; for pg in ${PG_VERSIONS}; do git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit
2026-03-16 10:25:39 UTC (buildkit.dockerfile.v0)ARG INSTALL_METHOD=docker-ha
2026-03-16 10:25:39 UTC (buildkit.dockerfile.v0)ARG OSS_ONLY=true
2026-03-16 10:25:39 UTC (buildkit.dockerfile.v0)ARG RUST_RELEASE=release
2026-03-16 10:25:39 UTC (buildkit.dockerfile.v0)USER root
2026-03-16 10:25:39 UTC (buildkit.dockerfile.v0)ARG ALLOW_ADDING_EXTENSIONS=true
2026-03-16 10:25:39 UTC (buildkit.dockerfile.v0)ARG GITHUB_REPO=timescale/timescaledb
2026-03-16 10:25:39 UTC (buildkit.dockerfile.v0)ARG TIMESCALEDB_VERSIONS=all
2026-03-16 10:32:41 UTC (buildkit.dockerfile.v0)RUN |19 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" GITHUB_REPO="${GITHUB_REPO}" TIMESCALEDB_VERSIONS="${TIMESCALEDB_VERSIONS}" /build/scripts/install_extensions timescaledb # buildkit
2026-03-16 10:32:41 UTC (buildkit.dockerfile.v0)USER postgres
2026-03-16 10:32:41 UTC (buildkit.dockerfile.v0)ARG TOOLKIT_VERSIONS=all
2026-03-16 10:32:41 UTC (buildkit.dockerfile.v0)RUN |20 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" TOOLKIT_VERSIONS="${TOOLKIT_VERSIONS}" /build/scripts/install_extensions rust # buildkit
2026-03-16 10:32:41 UTC (buildkit.dockerfile.v0)ARG PGVECTORSCALE_VERSIONS=all
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" PGVECTORSCALE_VERSIONS="${PGVECTORSCALE_VERSIONS}" /build/scripts/install_extensions pgvectorscale # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)ARG PG_TEXTSEARCH_VERSION=v0.6.1
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c PG_TEXTSEARCH_VERSION="${PG_TEXTSEARCH_VERSION}" /build/scripts/install_extensions pg_textsearch # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)USER root
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)ARG ALLOW_ADDING_EXTENSIONS=true
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c if [ "${ALLOW_ADDING_EXTENSIONS}" != "true" ]; then for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)"; do chown -R root:root "{dir}"; done; done; fi # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c apt-get clean # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)ARG PG_MAJOR=16
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)CMD ["postgres"]
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)COPY timescaledb_entrypoint.sh / # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c ln -s /timescaledb_entrypoint.sh /patroni_entrypoint.sh # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)COPY pgbackrest_entrypoint.sh / # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)COPY scripts /scripts/ # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)ENV PGROOT=/home/postgres PGDATA=/home/postgres/pgdata/data PGLOG=/home/postgres/pg_log PGSOCKET=/home/postgres/pgdata BACKUPROOT=/home/postgres/pgdata/backup PGBACKREST_CONFIG=/home/postgres/pgdata/backup/pgbackrest.conf PGBACKREST_STANZA=poddb PATH=/usr/lib/postgresql/16/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin LC_ALL=C.UTF-8 LANG=C.UTF-8 PAGER=
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c usermod postgres --home "${PGROOT}" --move-home # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d "${PGROOT}" "${PGLOG}" "${PGDATA}" "${BACKUPROOT}" /etc/supervisor/conf.d /scripts /var/lib/postgresql # buildkit
2026-03-16 10:32:47 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c rm /etc/pgbackrest.conf && ln -s "${PGBACKREST_CONFIG}" /etc/pgbackrest.conf # buildkit
2026-03-16 10:32:48 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c for i in $(seq 0 7); do touch "${PGLOG}/postgresql-$i.log" "${PGLOG}/postgresql-$i.csv"; done # buildkit
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c set -e; chown -R postgres:postgres "${PGLOG}" "${PGROOT}" "${PGDATA}" /var/run/postgresql/; chown -R postgres:postgres /var/log/pgbackrest/ /var/lib/pgbackrest /var/spool/pgbackrest; chmod -x /usr/lib/postgresql/*/lib/*.so; chmod 1777 /var/run/postgresql; chmod 755 "${PGROOT}" # buildkit
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)RUN |22 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 /bin/bash -exu -o pipefail -c set -eux; mv -f /etc/apt/sources.list /etc/apt/sources.list.aws; mv -f /etc/apt/sources.list.dist /etc/apt/sources.list # buildkit
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)ARG DOCKER_FROM=ubuntu:22.04
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)ARG BUILDER_URL=docker.io/timescale/timescaledb-ha:pg16-oss-builder
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)ARG RELEASE_URL=docker.io/timescale/timescaledb-ha:pg16-oss
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)RUN |25 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg16-oss-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg16-oss /bin/bash -exu -o pipefail -c /build/scripts/install_extensions versions > /.image_config; echo "OSS_ONLY=\"$OSS_ONLY\"" >> /.image_config; echo "PG_LOGERRORS=\"${PG_LOGERRORS}\"" >> /.image_config; echo "PG_STAT_MONITOR=\"${PG_STAT_MONITOR}\"" >> /.image_config; echo "PGVECTO_RS=\"${PGVECTO_RS}\"" >> /.image_config; echo "VECTORCHORD=\"${VECTORCHORD}\"" >> /.image_config; echo "POSTGIS_VERSIONS=\"${POSTGIS_VERSIONS}\"" >> /.image_config; echo "PG_AUTH_MON=\"${PG_AUTH_MON}\"" >> /.image_config; echo "PGBOUNCER_EXPORTER_VERSION=\"${PGBOUNCER_EXPORTER_VERSION}\"" >> /.image_config; echo "PGBACKREST_EXPORTER_VERSION=\"${PGBACKREST_EXPORTER_VERSION}\"" >> /.image_config; echo "PGAI_VERSION=\"${PGAI_VERSION}\"" >> /.image_config; echo "PGVECTORSCALE_VERSIONS=\"${PGVECTORSCALE_VERSIONS}\"" >> /.image_config; echo "PG_TEXTSEARCH_VERSION=\"${PG_TEXTSEARCH_VERSION}\"" >> /.image_config; echo "PG_MAJOR=\"${PG_MAJOR}\"" >> /.image_config; echo "PG_VERSIONS=\"${PG_VERSIONS}\"" >> /.image_config; echo "FROM=\"${DOCKER_FROM}\"" >> /.image_config; echo "RELEASE_URL=\"${RELEASE_URL}\"" >> /.image_config; echo "BUILDER_URL=\"${BUILDER_URL}\"" >> /.image_config; echo "BUILD_DATE=\"$(date -Iseconds)\"" >> /.image_config # buildkit
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)WORKDIR /home/postgres
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)EXPOSE [5432/tcp 8008/tcp 8081/tcp]
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)USER postgres
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)COPY --chown=postgres:postgres cicd /cicd/ # buildkit
2026-03-16 10:33:03 UTC (buildkit.dockerfile.v0)RUN |25 PG_VERSIONS=16 PG_MAJOR=16 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.5.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.2 PG_STAT_MONITOR=2.2.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.5 INSTALL_METHOD=docker-ha OSS_ONLY=true RUST_RELEASE=release ALLOW_ADDING_EXTENSIONS=true GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all PG_TEXTSEARCH_VERSION=v0.6.1 DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg16-oss-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg16-oss /bin/bash -exu -o pipefail -c /cicd/install_checks -v # buildkit
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.